
/*div[class|="col"]{*/
/*    color: #0dcaf0;*/
/*    border: solid;*/
/*    border-width: 0px 0px 2px 0px;*/
/*}*/
/*body{*/
/*    background-color ;*/
/*    transition: 5s !important;*/
/*}*/
html, body {
    max-width: 100%;
    overflow-x: hidden;
}

header{
    text-align: center;
    color: #33ff17;
}

body{
    background: #323257 ;
    transition: 1.5s;
}
header ul{
    margin-right: 15%;
}
.main-title{
    font-size: 400%;
    margin-bottom: 90vh;
}

.img{
    width: 100%;
    border-radius: 25px;
}


.icon{
    border: 3px solid black;
    border-radius: 20px;
    height: fit-content;
    width: 14%;
    background-color: #16b0c5;
    padding: 0.5%;
}
.icon-medium{
    border: 3px solid black;
    border-radius: 20px;
    height: fit-content;
    width: 7%;
    background-color: #16b0c5;
    padding: 0.25%;
}


.hidden{
    opacity: 0;
    filter: blur(5px);
    transition: all 1s;
}
.show{
    opacity: 1;
    filter: blur(0);
}

@media (prefers-reduced-motion) {
    .hidden{
        transition: none;
    }
}

p span{
    color: #33ff17;
}
.box{
    margin: 1% 12% 0 12%;
    padding: 0.5%;

    border-radius: 25px;
    /*display: flex;*/
    /*flex-wrap: wrap;*/

    align-items: center;
    justify-content: center;
    background-color: #101820FF;
    color: #dce7db;
    box-shadow: inset -1px 1px 20px 8px rgba(0,0,0,1);
}

.btn1{
    /*transition: 1s ease-in;*/
    transition-duration: 2s;
    font-weight: bold;
    border: solid 4px #a119b0;
    padding: 8% 65%;
    background-color: rgba(203, 32, 227, 0.37);
    border-radius: 15px;
}
.btn1:hover{
    /*transition-duration: 1s;*/
    border: solid 4px #600d6b;
    padding: 8% 65%;
    background-color: rgba(203, 32, 227, 0.62);
    border-radius: 15px;
}
@media screen and (max-width: 701px) {
    .section2 > div {
        min-height: 150px;
    }

    .section2 > div:nth-child(2) > img {
        top: 0 !important;
    }
}

@media screen and (max-width: 990px) {
    .about > div > h4{
        font-size: 1rem;
    }
    .about > h5{
        width: 24% !important;
    }
    .subsection-title > h2{
        font-size: 3rem !important;

    }
    .subsection-title{
        margin-bottom: 2% !important;

    }
    .section{
        width: 100% !important;
        min-width: 350px;
    }
    .icon-medium{
        width: 14%;
    }

}
.section:nth-child(-n+5){
    margin-bottom: 3vh;
}
.subsection-title{
max-height: 32%;
}
.subsection-title > h2{
    font-family: 'Space Grotesk', sans-serif ;
    font-weight: 600;
    margin: 0.5% 0 0 2vh;
    font-size: 3.5rem ;
    color: #a119b0;
}

.about > h5 {
    width: 14%;
    text-align: end;
    color: #a119b0;
}
.about > div > h4:nth-child(1){
    font-weight: bold;
}

/*#skills > div > .progress > .progress-bar{*/
.progress > .progress-bar{
    --bs-progress-bar-transition:width 2s;
    width: 0%;
    background-color: #16b0c5;
    padding: 1% 0;
}

.languages > div > .progress{
    width: 70%;
    height: 3vh;
}
.languages > div{
    text-align: center;
}
.languages > div > .progress > .progress-bar{
    padding: 5% 0;

}
.progress{
    border-radius: 5px;
    margin: 1% 0;
    padding: 1% 0;
    align-items: center
}
/*#skills > .h1{*/
/*    display: inline-block;*/
/*    transform: rotate(180deg);*/
/*    writing-mode: vertical-rl;*/
/*    width: 10%;*/
/*}*/
.section:nth-child(5) > div .progress-bar{
    font-size: 1.8vh;
}

#projects > .section > div{
    min-width: 350px;
    height: 25vh;
    /* border: solid 3px; */
    border-radius: 20px;
    background-color: #75c0c0;
    box-shadow: -6px 6px 20px 4px #3d8383;
}
#projects > .section > div > h2{
    color: purple;
    margin: 0 4%;
}
.git-button{
    transition-duration: 0.5s;
    background-color: darkorange;
    width: 100%;
    height: 40%;
    border-radius: 15px;
    border: none;
    font-size: 3vh;
    letter-spacing: 8px;
    font-weight: 700;
}
.git-button:hover{
    color: white;
    box-shadow: inset 0px 0px 8px 4px #502c00;

}


.container-fluid{
    padding: 0 !important;
}

.bckg-mountain{
    z-index: 2;
    width: 100%;
    background: url(../images/mountainSnow.jpg) no-repeat;
    background-size: cover;
    background-position:center;
    height: 20vh;
}
.section2{
    background-color: #becfe0;
    width: 100%;
}
.section2 > div{
    display: flex;
    justify-content: center;
    /*background-color: #becfe0;*/
    width: 100lh;
    height: 5vh;
    min-width:350px;

}
.section2 > div > img, .section2 > div > div{
    background-color: #becfe0;
    position: relative;
    padding: 1%;
    z-index: 3;
}

.project-category > h5{
    margin-left: 2%;
    border: solid 2px; background-color: #7aa0b7;
    border-radius: 20px;
    padding: 2%;
}